#table-container {
  width: 100%;
  background: white;
  border: 1px solid var(--fulbright-stone);
  display: flex;
  flex-direction: column;
}
table {
  width: 100%;
  border-collapse: collapse;
  text-align: left;
}
thead th {
  color: var(--text-secondary);
  text-transform: uppercase;
  position: sticky;
  top: 0;
  z-index: 10;
  cursor: pointer;
  user-select: none;
}
thead th:hover {
  color: var(--text-primary);
  background-color: var(--fulbright-stone);
}
thead th, tbody tr {
  border-bottom: 1px solid var(--fulbright-stone);
}
tbody tr:last-child {
  border-bottom: none;
}
tbody tr:hover {
  background-color: var(--fulbright-stone);
}
tbody td {
  color: var(--text-primary);
  font-variant-numeric: tabular-nums;
}
thead th, tbody td {
  padding: 16px 24px;
}

#table-controls {
  padding: 16px;
  border-bottom: 1px solid var(--fulbright-stone);
}
#search-input {
  width: 100%;
  max-width: 480px;
  padding: 12px;
  border: 2px solid var(--fulbright-stone);
  color: var(--text-primary);
  border-radius: 8px;
  font-size: medium;
  outline: none;
}
#search-input:focus {
  border-color: var(--text-highlight);
  box-shadow: 0px 0px 4px var(--text-highlight);
}

.sortable.active {
  color: var(--text-highlight);
}
.sortable span {
  display: inline-block;
  opacity: 0;
  margin: 0px 8px;
  user-select: none;
}
.sortable.active span {
  opacity: 1;
  color: var(--text-highlight);
}
.sortable.asc span {
  display: inline-block;
  transform: rotate(0deg);
}
.sortable.desc span {
  display: inline-block;
  transform: rotate(180deg);
}